Control APIAPI 레퍼런스Apps
App을 생성합니다.
베타 API
Control API의 /v1 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.
POST
/v1/apps이메일 인증을 마친 팀 owner 또는 member가 App을 생성합니다. team_id를 생략하면 기본 팀을 사용합니다. CLI: ntro apps create. 이메일 인증을 완료한 사용자만 사용할 수 있습니다.
인증
bearerAuth 인증Bearer <token>
Identity access JWT 또는 ntro_ API token을 사용합니다. token 관리 경로는 Identity access JWT만 허용합니다.
위치: header
요청 본문
application/json
TypeScript 타입 정의
Use the request body type in TypeScript.
응답 본문
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/apps" \ -H "Content-Type: application/json" \ -d '{ "slug": "string" }'{ "app": { "createdAt": "string", "hostname": "string", "id": "string", "latestDeployment": { "createdAt": "string", "id": "string", "shortId": "string", "status": "string", "target": "string" }, "productionDeploymentId": "string", "productionPreview": { "capturedAt": "string", "image": { "token": "string", "version": "string" }, "status": "string" }, "purgeGeneration": 0, "slug": "string", "suspendedAt": "string", "suspensionReason": "string", "team_id": "string" }}